import 'package:laba1/domain/models/card.dart';

import '../dtos/spells_dto.dart';

const _imagePlaceHolder ='https://cdn-icons-png.flaticon.com/512/1277/1277244.png';

extension SpellsDataDtoToModel on SpellDataDto {
  CardData toDomain() => CardData(
        attributes?.name ?? 'UNKNOWN',
        imageUrl: attributes?.image ?? _imagePlaceHolder,
      );
}
